Bug 1308012 - rubygem-childprocess: FTBFS in rawhide
rubygem-childprocess: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rubygem-childprocess (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:17 EST by Fedora Release Engineering
Modified: 2016-03-07 17:03 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-childprocess-0.5.3-5.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 17:03:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (14.47 KB, text/plain)
2016-02-13 17:17 EST, Fedora Release Engineering
no flags Details
root.log (84.51 KB, text/plain)
2016-02-13 17:18 EST, Fedora Release Engineering
no flags Details
state.log (673 bytes, text/plain)
2016-02-13 17:18 EST, Fedora Release Engineering
no flags Details
BR: rubygem-rspec2 (#1308012) (1.21 KB, patch)
2016-03-01 01:24 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:17:55 EST
Your package rubygem-childprocess failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12865769

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:17:58 EST
Created attachment 1126096 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:18:00 EST
Created attachment 1126097 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:18:01 EST
Created attachment 1126098 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:07:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 22:23:21 EST
/var/tmp/rpm-tmp.yfmvjS: line 34: rspec2: command not found

rubygem(rspec) now pulls in rubygem-rspec 3.x; this needs to BR rubygem(rspec2) instead.
Comment 6 Yaakov Selkowitz 2016-03-01 01:24 EST
Created attachment 1131800 [details]
BR: rubygem-rspec2 (#1308012)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13185633
Comment 7 Upstream Release Monitoring 2016-03-07 16:47:58 EST
yselkowitz's rubygem-childprocess-0.5.3-5.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=742775

Note You need to log in before you can comment on or make changes to this bug.